Create a Connection - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
POST
/v2.0/connections
Try it
Create a Connection
cURL
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/connections \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "some name",
"isDeprecated": true,
"type": "http_basic",
"extension": "@cognigy/basic-nodes",
"fields": {
"some-key-from-connection-schema": "x123sdfu12312"
},
"projectId": "<string>"
}
'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/connections"
payload = {
"name": "some name",
"isDeprecated": True,
"type": "http_basic",
"extension": "@cognigy/basic-nodes",
"fields": { "some-key-from-connection-schema": "x123sdfu12312" },
"projectId": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript Fetch
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'some name',
isDeprecated: true,
type: 'http_basic',
extension: '@cognigy/basic-nodes',
fields: {'some-key-from-connection-schema': 'x123sdfu12312'},
projectId: '<string>'
})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'some name',
'isDeprecated' => true,
'type' => 'http_basic',
'extension' => '@cognigy/basic-nodes',
'fields' => [
'some-key-from-connection-schema' => 'x123sdfu12312'
],
'projectId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Response Examples
{
"key": "some-key-from-connection-schema",
"value": "x123w123",
"_id": "<string>",
"createdAt": 1694518620,
"lastChanged": 1694518620,
"createdBy": "<string>",
"lastChangedBy": "<string>"
}
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
Authorizations
X-API-Key
- Type: string
- In: header
- Required: Supply the API Key in the HTTP-Header
Headers
- Accept: enum
- The
Acceptheader specifies the media type that the client expects in the response. Available options:application/json,application/hal+json,application/xml,text/xml,text/csv. The default value isapplication/json.
- The
Body
- name (string): Example:
"some name" - isDeprecated (boolean): Marked 'true' if the connection type is deprecated
- type (string): Example:
"http_basic" - extension (string): Example:
"@cognigy/basic-nodes" - fields (object): The fields of the Connection. Key-Value pairs. The key should match the connection schema of the specific connection type.
- projectId (string): The unique identifier for the Project. Required string length:
24
Response Codes
- 201: application/json - Returns Connection metadata object.